<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Acela Collector (v0.0.5)</title>
    <style>
      .hidden {
        display: none;
      }
    </style>
    <script>
      (() => {
        if (!process.env.START_HOT) {
          const link = document.createElement('link');
          link.rel = 'stylesheet';
          link.href = './dist/style.css';
          // HACK: Writing the script path should be done with webpack
          document.getElementsByTagName('head')[0].appendChild(link);
        }
      })();
    </script>
  </head>
  <body>
    <div id="root"></div>
    <script>
      {
        const scripts = [];

        // Dynamically insert the DLL script in development env in the
        // renderer process
        if (process.env.NODE_ENV === 'development') {
          scripts.push('../dll/renderer.dev.dll.js');
        }

        // Dynamically insert the bundled app script in the renderer process
        const port = process.env.PORT || 1212;
        scripts.push(
          process.env.START_HOT
            ? `http://localhost:${port}/dist/renderer.dev.js`
            : './dist/renderer.prod.js'
        );

        document.write(
          scripts
            .map(script => `<script defer src="${script}"><\/script>`)
            .join('')
        );
      }
    </script>
    <div id="notification" class="hidden">
      <p class="notification-message" id="message"></p>
      <div class="notification-message"  id="messages"></div>
      <div class="notification-buttons"> 
      <button id="close-button" class="default notification-btn-close" onClick="closeNotification()">
        Close
      </button>
      <button id="restart-button" class="primary notification-btn-restart hidden" onClick="restartApp()">
        Restart
      </button>
    </div>
    </div>
    <script>
      const { ipcRenderer } = require('electron');
      //const version = document.getElementById('version');
      const notification = document.getElementById('notification');
      const message = document.getElementById('message');
      const restartButton = document.getElementById('restart-button');

      ipcRenderer.send('app_version');
      // ipcRenderer.on('app_version', (event, arg) => {
      //   ipcRenderer.removeAllListeners('app_version');
      //   version.innerText = 'Version ' + arg.version;
      // });

      ipcRenderer.on('update_available', () => {
        ipcRenderer.removeAllListeners('update_available');
        message.innerText = 'A new update is available. Downloading now...';
        notification.classList.remove('hidden');
      });

      ipcRenderer.on('update_downloaded', () => {
        ipcRenderer.removeAllListeners('update_downloaded');
        message.innerText =
          'Update Downloaded. It will be installed on restart. Restart now?';
        restartButton.classList.remove('hidden');
        notification.classList.remove('hidden');
      });

      ipcRenderer.on('message', function(event, text) {
        var container = document.getElementById('messages');
        container.innerHTML = text;
        container.appendChild(message);
      });

      function closeNotification() {
        notification.classList.add('hidden');
      }

      function restartApp() {
        ipcRenderer.send('restart_app');
      }
    </script>
  </body>
</html>
